Page MenuHomePhabricator

Upgrade php-ast in Seccheck CI containers
Closed, ResolvedPublic

Description

In order to run the new 2.0.0 seccheck, we need the following (from T226420#5302787):

  • seccheck72 job: These should only have php-ast 1.0.1, and T218719 should provide anything needed for the upgrade. Note that this job can only be used for repos using seccheck 2.0.0.
  • seccheck70 job: This one is more complicated. It should behave the same as the phan job: if there's seccheck <=1.5.1 in composer.json, it should use php-ast 0.1.2. If there's seccheck 2.0.0 it should use php-ast 1.0.0.

Event Timeline

Daimona created this task.Jul 6 2019, 6:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2019, 6:07 PM

Change 521309 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[integration/config@master] docker: Install php-ast 1.0.0 for seccheck, back to PHP7.0

https://gerrit.wikimedia.org/r/521309

Change 521309 merged by jenkins-bot:
[integration/config@master] docker: Install php-ast 1.0.0 for seccheck, back to PHP7.0

https://gerrit.wikimedia.org/r/521309

Change 521524 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [php-ast] Add ast 0.1.2; [phan-seccheck] Inherit from php-ast

https://gerrit.wikimedia.org/r/521524

Change 521524 merged by jenkins-bot:
[integration/config@master] dockerfiles: [php-ast] Add ast 0.1.2; [phan-seccheck] Inherit from php-ast

https://gerrit.wikimedia.org/r/521524

Status update: CI production is now ready to take phan-seccheck 2.x, and this no longer blocks T227172; instead, this is now blocked by T227172, as we can't move to PHP72 until that's done everywhere.

Jdforrester-WMF changed the task status from Open to Stalled.Jul 9 2019, 5:48 PM
Jdforrester-WMF claimed this task.
Daimona closed this task as Resolved.Jul 11 2019, 5:33 PM

php-ast was upgraded, we're almost ready to switch to PHP72, which is T226420.

sbassett triaged this task as Normal priority.Tue, Oct 15, 7:23 PM